Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element handleNotificationEvent

Model
  `<handleNotificationEvent
  description = string
  event = string
  eventLabel = `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`
  filterable = boolean
  names = string
  namespaces = string
  onlyIfDisplayed = boolean
  sourceDesktopPaths = string
  sourcePortalPaths = string
  sourcePortletDefinitionLabels = string
  sourceWebAppNames = string
  >
  changeWindowState | changeWindowMode | activatePage | invokePageFlowAction | invokeStrutsAction | fireCustomEvent | fireEvent | invokeBackingFileMethod | dispatchToRemotePortlet | invokeJavaPortletMethod | consumeNotification*
  </handleNotificationEvent>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type handleNotificationEventType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: javaPortlet, abstractPortlet, portlet, webflowPortlet, proxyPortlet.

Nested Element Summary
choice 0...∞ |
`changeWindowStateType` | `changeWindowState`
`changeWindowModeType` | `changeWindowMode`
`activatePageType` | `activatePage`
`invokePageFlowActionType` | `invokePageFlowAction`
`invokeStrutsActionType` | `invokeStrutsAction`
`fireCustomEventType` | `fireCustomEvent`
`fireEventType` | `fireEvent`
`invokeBackingFileMethodType` | `invokeBackingFileMethod`
`dispatchToRemotePortletType` | `dispatchToRemotePortlet`
`invokeJavaPortletMethodType` | `invokeJavaPortletMethod`
`consumeNotificationType` | `consumeNotification`

Attribute Summary
`string` | `description`
`string` | `event`
`annonymous type derived from string` | `eventLabel`
`boolean` | `filterable`
`string` | `names`
`string` | `namespaces`
`boolean` | `onlyIfDisplayed`
`string` | `sourceDesktopPaths`
`string` | `sourcePortalPaths`
`string` | `sourcePortletDefinitionLabels`
`string` | `sourceWebAppNames`

Attribute Detail

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### event

Definition

  Defined with global type string

Model

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### eventLabel

Model
  `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Pattern Facet
  `(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*`

### filterable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### names

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### namespaces

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### onlyIfDisplayed

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### sourceDesktopPaths

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### sourcePortalPaths

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### sourcePortletDefinitionLabels

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### sourceWebAppNames

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1